import java.util.*;

public class Probleme4
{
    static public void main(String args[])
    {
        // Lecture du fichier des notes de la classe
        //
        StringBuffer strbuf = Terminal.lireFichier("Classe.txt");
        String[] lignes = strbuf.toString().split("\n");

        // QUESTION 1
        // =====================================================
        Terminal.ecrireStringln("QUESTION 1 :");
        Terminal.ecrireStringln("------------");
        // Saisie du nom et du prenom de l'eleve
        //
        Terminal.ecrireString("Nom :");
        String nom = Terminal.lireString();
        Terminal.ecrireString("Prenom :");
        String prenom = Terminal.lireString();
        
        // Parcours des lignes du fichier
        //
        for(String l : lignes)
            {
                // Si la ligne est celle de l'eleve alors on affiche sa note
                String[] infos = l.split(";");
                if( nom.equals(infos[0])&&
                    prenom.equals(infos[1]))
                {
                    Terminal.ecrireStringln(infos[2]+":"+infos[3]);
                }
            }

        // QUESTION 2
        // =====================================================
        Terminal.ecrireStringln("QUESTION 2 :");
        Terminal.ecrireStringln("------------");
        
        // Determiner la liste des matires
        //
        String[] matieres = new String[100];  // Tableau des matieres
        int nbMatiere=0;                      // Nombre de matiere

        // Parcours des lignes du fichier
        //
        for(String l : lignes)
            {
                // Extraction de la matire
                String[] infos = l.split(";");
                String matiere = infos[2];
                
                // Si la matiere n'existe pas deja alors on l'ajoute
                //  dans le tableau des matieres
                //
                boolean trouve=false;
                for(int i=0;i<nbMatiere;i++)
                    if (matieres[i].equals(matiere))
                        trouve=true;
                if(!trouve)
                    {
                        matieres[nbMatiere] = matiere;
                        nbMatiere++;
                    }
            }

        // Pour chaque matiere on parcours les lignes du fichier
        //  et on calcule la somme et le nombre de note de chaque matiere
        //
        double[] sommes    = new double[nbMatiere];
        int[]    nbMoyenne = new int[nbMatiere];
        
        for(int i=0;i<nbMatiere;i++)
            {
                for(String l : lignes)
                    {
                        String[] infos = l.split(";");
                        double note = Double.parseDouble(infos[3]);
                        if( matieres[i].equals(infos[2]))
                            {
                                sommes[i]=sommes[i]+note;
                                nbMoyenne[i]=nbMoyenne[i]+1;
                            }
                    }
                // Calcul de la moyenne de la matiere et affichage
                //
                double moyenne = sommes[i]/nbMoyenne[i];
                Terminal.ecrireStringln(matieres[i]+":"+moyenne);
            }
    }
}
