import java.util.*;

public class Probleme2
{
    // Programme principal
    //
    static public void main(String args[])
    {
        Terminal.ecrireString("Saisir la phrase: ");
        String phrase = Terminal.lireString();   // Saisi
        String[] mots = isolerMots(phrase);      // Traitement
        for(String m:mots)                       // Affichage
            Terminal.ecrireStringln(m);
    }

    // Mthode qui isole de maniere unique chacun des mots d'une phrase
    //
    static String[] isolerMots(String phrase)
    {
        //  On isole les mots
        StringTokenizer strtok = new StringTokenizer(phrase);
        int n = strtok.countTokens();

        // Tableau qui contiendra les mots
        //  au maximume ce tableau est de la dimension des mots de la phrase
        String[] tabMots = new  String[n];
        int nbMots=0;

        // On parcourt les mots de la phrase et on l'ajoute dans le 
        //  tableau de mot s'il n'existe pas deja
        //
        while(strtok.hasMoreTokens())
        {
            String mot = strtok.nextToken();
            
            // On recherche si'il n'existe pas deja
            boolean trouve=false;
            for(int i=0;i<nbMots;i++)
                {
                    if (mot.equals(tabMots[i]))
                    {
                        trouve=true;
                        break;
                    }
                }
            // S'il n'existe pas on l'ajoute
            if (! trouve)
                {
                    tabMots[nbMots]=mot;
                    nbMots++;
                }
        }
        
        // On construit un nouveau tableau contenant que les mots uniques
        //
        String[] tab = new String[nbMots];
        for(int i=0;i<nbMots;i++)
          tab[i] = tabMots[i];

        return(tab);
    }
}
